<?php

$source = '';
$image = '';
$image_url = '';
$image_alt = '';
$alignment = '';
$caption = '';
$img = '';
$display_caption = false;
$allowed_html = wp_kses_allowed_html( 'post' );

if ( isset( $data->data->source ) && ! empty( $data->data->source ) ) {
	$source = $data->data->source;
}

if ( isset( $data->data->image ) && ! empty( $data->data->image ) ) {
	$image = $data->data->image;
}

if ( isset( $data->data->image_url ) && ! empty( $data->data->image_url ) ) {
	$image_url = $data->data->image_url;
}

if ( isset( $data->data->image_alignment ) && ! empty( $data->data->image_alignment ) ) {
	$alignment = $data->data->image_alignment;
}

if ( isset( $data->data->image_caption ) && ! empty( $data->data->image_caption ) ) {
	$display_caption = $data->data->image_caption;
}

if ( isset( $data->data->image_custom_caption ) && ! empty( $data->data->image_custom_caption ) ) {
	$custom_caption = $data->data->image_custom_caption;
}

if ( $source == 'image' ) {
	$image_size = 'full';

	if ( ! empty( $image->desktop[1]->image_size ) ) {
		$image_size = $image->desktop[1]->image_size;
	}

	if ( ! empty( $image->desktop[1]->id ) ) {
		$img = brix_get_image( $image->desktop[1]->id, $image_size );

		$caption_content = brix_get_image_caption( $image->desktop[1]->id );

		if ( $display_caption && ! empty( $caption_content ) ) {
			$caption = sprintf( '<figcaption>%s</figcaption>', esc_html( $caption_content ) );
		}
	}
}
else if ( $source == 'external' ) {
	if ( ! empty( $image_url ) ) {
		$img = $image_url;
	}

	if ( ! empty( $custom_caption ) ) {
		$caption = sprintf( '<figcaption>%s</figcaption>', esc_html( $custom_caption ) );
	}
}

if ( ! empty( $img ) ) {
	$image_attrs    = '';

	$width          = 0;
	$height         = 0;
	$height_percent = 0;
	$fake           = '';

	if ( $source == 'image' ) {
		$image_alt = get_post_meta( $image->desktop[1]->id, '_wp_attachment_image_alt', true );
		$image_meta = wp_get_attachment_metadata( $image->desktop[1]->id );

		if ( ! empty( $image_alt ) ) {
			$image_attrs .= ' alt="' . esc_attr( $image_alt ) . '"';
		}

		if ( isset( $image_meta['width'] ) ) {
			if ( $image_size != 'full' && isset( $image_meta['sizes'][$image_size] ) ) {
				$image_attrs .= ' width="' . esc_attr( $image_meta['sizes'][$image_size]['width'] ) . '"';
				$width = $image_meta['sizes'][$image_size]['width'];
			} else {
				$image_attrs .= ' width="' . esc_attr( $image_meta['width'] ) . '"';
				$width = $image_meta['width'];
			}
		}

		if ( isset( $image_meta['height'] ) ) {
			if ( $image_size != 'full' && isset( $image_meta['sizes'][$image_size] ) ) {
				$image_attrs .= ' height="' . esc_attr( $image_meta['sizes'][$image_size]['height'] ) . '"';
				$height = $image_meta['sizes'][$image_size]['height'];
			} else {
				$image_attrs .= ' height="' . esc_attr( $image_meta['height'] ) . '"';
				$height = $image_meta['height'];
			}
		}

	}

	if ( $height > 0 ) {
		$height_percent = $height*100/$width;
		$fake = 'style="width:' . esc_attr( $width ) . 'px;padding-top:' . esc_attr( $height_percent ) . '%;max-width:100%"';
	}

	$img_html = sprintf( '<span class="brix-block-image-img-placeholder" %s></span><img class="brix-block-image-img" src="%s" data-src="%s" %s />', $fake, esc_attr( 'data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///ywAAAAAAQABAAACAUwAOw==' ), esc_url( $img ), $image_attrs );

	if ( isset( $data->data->link ) ) {
		$link = brix_link( $data->data->link, $img_html, false );
	}
	else {
		$link = $img_html;
	}

	$img_html = sprintf( '<figure>%s%s</figure>',
		$link,
		wp_kses( $caption, $allowed_html )
	);

	echo $img_html;
}